--- title: "Stage 수정" slug: "apigateway-stage-putstage" updated: 2026-09-17T09:10:05Z published: 2026-09-17T09:10:05Z canonical: "api-fin.ncloud-docs.com/apigateway-stage-putstage" --- > ## Documentation Index > Fetch the complete documentation index at: https://api-fin.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # Stage 수정 사용자가 지정한 조건에 따라 Stage의 정보를 수정합니다. ## 요청 요청 형식을 설명합니다. 요청 형식은 다음과 같습니다. | 메서드 | URI | | --- | --- | | PUT | /api/v1/products/{product-id}/apis/{api-id}/stages/{stage-id} | ### 요청 헤더 API Gateway에서 공통으로 사용하는 헤더에 대한 정보는 [API Gateway 요청 헤더](/docs/ai-application-service-apigateway#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94)를 참조해 주십시오. ### 요청 경로 파라미터 요청 경로 파라미터에 대한 설명은 다음과 같습니다. | 필드 | 타입 | 필수 여부 | 설명 | | --- | --- | --- | --- | | `product-id` | String | Required | Stage가 속한 Product ID - 0~10자 - [Product 목록 조회](/docs/apigateway-product-getproductlist) 참조 | | `api-id` | String | Required | Stage가 속한 API ID - 0~10자 - [API 조회](/docs/apigateway-api-apis) 참조 | | `stage-id` | String | Required | 수정할 Stage ID - 0~10자 - [Stage 목록 조회](/docs/apigateway-stage-getstagelist) 참조 | ### 요청 구문 요청 구문은 다음과 같습니다. ``` { "cacheTtlSec" : 0, "ipAclList" : "ipAclList", "throttleRps" : 6, "response" : "response", "isMaintenance" : true, "ipAclCode" : "ALLOWED", "endpointDomain" : "endpointDomain", "statusCode" : 1, "enabledContentEncoding": true, "minimumCompressionSize": 0 } ``` ### 요청 바디 요청 바디에 대한 설명은 다음과 같습니다. | 필드 | 타입 | 필수 여부 | 설명 | | --- | --- | --- | --- | | `cacheTtlSec` | Long | Optional | API 캐시 TTL - 1~3,600초 | | `ipAclList` | String | Conditional | IP ACL 목록 - `ipAclCode` 입력 시 필수 | | `throttleRps` | Integer | Optional | 메서드별 초당 요청 수 한도 - 1~2,147,483,647 | | `response` | String | Required | 상태 코드에 대한 응답 - 0~1,500자 | | `isMaintenance` | Boolean | Required | 유지 보수 설정 - `true` \| `false` - `true`: 설정 - `false`: 설정 안 함 | | `ipAclCode` | String | Conditional | IP ACL 허용 여부 - `ALLOWED` \| `REJECTED` - `ALLOWED`: 허용 - `REJECTED`: 거부 - `ipAclList` 입력 시 필수 | | `endpointDomain` | String | Required | 엔드포인트 도메인 | | `statusCode` | Integer | Required | 상태 코드 - 100~599 | | `enabledContentEncoding` | Boolean | Optional | 인코딩 설정 - `true` \| `false` (기본값) - `true`: 설정 - `false`: 설정 안 함 | | `minimumCompressionSize` | Integer | Optional | 데이터 전송 시 압축 여부 - 압축을 활성화하려면 음이 아닌 정수 입력 - 0~10,485,760 - 해당 필드를 입력하지 않으면 압축 비활성화 | ### 요청 예시 요청 예시는 다음과 같습니다. ``` curl --location --request PUT 'https://apigateway.apigw.fin-ntruss.com/api/v1/products/***ksk9***/apis/***51hs***/stages/***gshi***' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' \ --header 'Content-Type: application/json' \ --data '{ "cacheTtlSec": 1, "endpointDomain" : "http://sdfs.***", "isMaintenance": true, "response": "response", "statusCode": "200" }' ``` ## 응답 응답 형식을 설명합니다. ### 응답 구문 응답 구문은 다음과 같습니다. ``` { "stage" : { "canaryDeployedTime" : "2000-01-23T04:56:07.000+00:00", "modifier" : "modifier", "canaryEndpointDomain" : "canaryEndpointDomain", "canaryThrottleRps" : 5, "cacheTtlSec" : 0, "stageName" : "stageName", "throttleRps" : 4, "monthQuotaRequest" : 9, "canaryCacheTtlSec" : 6, "canaryDistributionRate" : 5.962134, "apiId" : "apiId", "stageId" : "stageId", "deployedStageDeploymentNo" : 7, "useDistributionRate" : true, "canaryDeploymentDescription" : "canaryDeploymentDescription", "dayQuotaRequest" : 2, "isMaintenance" : true, "rateRps" : 3, "endpointDomain" : "endpointDomain", "ipAclList" : "ipAclList", "canaryDeploymentNo" : 1, "regTime" : "2000-01-23T04:56:07.000+00:00", "response" : "response", "canaryConditions" : [ { "parameterName" : "parameterName", "parameterCode" : "REQUEST_HEADER", "parameterValue" : "parameterValue" } ], "tenantId" : "tenantId", "ipAclCode" : "ALLOWED", "statusCode" : 2, "enabledContentEncoding": true, "minimumCompressionSize": 0 } } ``` ### 응답 상태 코드 API Gateway에서 공통으로 사용하는 응답 상태 코드에 대한 정보는 [API Gateway 응답 상태 코드](/docs/ai-application-service-apigateway#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C)를 참조해 주십시오. ### 응답 예시 응답 예시는 다음과 같습니다. ``` { "stage": { "tenantId": "***e230cebc1402ba89b148896951***", "modifier": "***d3020-5bb7-11ec-bfb8-246e96591***", "stageId": "***gshi***", "apiId": "***51hs***", "stageName": "stage000", "endpointDomain": "http://sdfs.****", "rateRps": 10, "dayQuotaRequest": 6, "monthQuotaRequest": 15, "deployedStageDeploymentNo": 253***, "regTime": "2024-05-10T01:59:17Z", "isMaintenance": true, "statusCode": 200, "response": "response", "enabledContentEncoding": false } } ```